package com.face.global.config;

import lombok.Data;

import java.time.Duration;

@Data
public class HttpClientProperties {
    private Duration connectTimeout;
    private Duration socketTimeout;
    private Duration validateAfterInactivity;
    private Duration timeToLive;
    private Integer maxConnTotal;
    private Integer maxConnPerRoute;
    private int retryCount;
}
