package com.face.global.consts;

import java.time.ZoneId;

public class GlobalConstant {
    public static final String TOKEN_KEY = "Authorization";

    public static final String TRACE_ID_KEY = "x-request-trace-id";

    public static final String ALI_TRACE_ID_KEY = "x-ali-request-trace-id";

    public static final String ALI_MDC_KEY = "EagleEye-TraceID";

    public static final String TIME_COST_KEY = "x-request-time-cost";

    public static final String CUSTOMER_API_PATH = "/api/customer/*";

    public static final String MANAGE_API_PATH = "/api/manage/*";

    public static final String MANAGE_PATH = "/manage/*";

    public static final String MANAGE_INTERCEPTOR_API_PATH = "/api/manage/**";

    public static final String MANAGE_INTERCEPTOR_PATH = "/manage/**";

    public static final String ALL_PATH = "/*";

    public static final String TOKEN_START_WITH_KEY = "Bearer ";

    public static final String TOKEN_AUTH_TYPE = "Authorization-Type";

    public static final String ORG_KEY = "Authorization-Org";

    public static final String CACHE_NAME_AND_TIME_SPLIT = "#";

    public static final String STAR_SPLIT = "*";

    public static final String SYSTEM_OPERATE_USER_ID = "system";

    public static final ZoneId ZONE_ID = ZoneId.systemDefault();

    public static final String GLOBAL_ROLE_ORG_ID = "0";

    public static final String ORG_ADMIN_ROLE = "orgAdmin";
}
