package com.face.attachment.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class FaceInfoDetailResponseVO {
    @Schema(title = "人脸模版ID")
    String faceId;

    @Schema(title = "横向坐标x")
    Integer x;

    @Schema(title = "纵向坐标y")
    Integer y;

    @Schema(title = "横向坐标")
    Integer width;

    @Schema(title = "坐标高")
    Integer height;

    @Schema(title = "素材ID")
    String materialId;

    @Schema(title = "素材名称")
    String materialName;

    @Schema(title = "活动ID 一个活动多个素材 一个素材多个人脸模版")
    String activityId;

    @Schema(title = "图片地址")
    String faceUrl;

    @Schema(title = "活动名称")
    String activityName;

    @Schema(title = "图片BASE64编码")
    byte[] faceBase;

    @Schema(title = "图片BASE64编码")
    String faceBase64Code;
}