package com.face.global.vo;

import lombok.Data;

/**
 * @Description:
 * @author: admin
 * @date: 2018年09月30日 20:13
 */
@Data
public class ApiResult<R> {
    private R data;

    private String code;

    private String message;

    public ApiResult(String code, String message, R data) {
        this.data = data;
        this.code = code;
        this.message = message;
    }

    public ApiResult(String code, String message) {
        this.code = code;
        this.message = message;
    }

}
