package com.face.global.vo;

import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class TimeCostLog {
    private Long startTimeValue;
    private Date startTime;
    private Long endTimeValue;
    private Date endTime;
    private String userId;
    private String userName;
    private String orgId;
    private String orgName;
    private boolean start;
    private String traceId;
    private String authType;
    private String ip;
    private Map requestParams;
    private Map requestHeaders;
    private Map responseHeaders;
    private String uri;
    private String method;
    private long timeCost;
}
